Loading...
Searching...
No Matches
pcl::cuda::RGB Union Reference

Default RGB structure, defined as a union over 4 chars. More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/common/point_type_rgb.h>`

## Public Member Functions

__host__ __device__ | RGB ()
__host__ __device__ | RGB (int _rgb)
__host__ __device__ | RGB (char _r, char _g, char _b, char _alpha)
__host__ __device__ bool | operator== (const RGB &rhs) const
__host__ __device__ RGB | operator- (RGB &rhs)
__host__ __device__ RGB & | operator+= (const RGB &rhs)
__host__ __device__ RGB & | operator-= (const RGB &rhs)
__host__ __device__ RGB & | operator*= (const RGB &rhs)
__host__ __device__ RGB & | operator/= (const RGB &rhs)

## Public Attributes

int | rgb
struct { |
char r |
char g |
char b |
char alpha |
}; |

## Detailed Description

Default RGB structure, defined as a union over 4 chars.

Definition at line 51 of file point_type_rgb.h.

## Constructor & Destructor Documentation

## RGB() [1/3]

__host__ __device__ pcl::cuda::RGB::RGB | ( |  | ) |

inline

Definition at line 62 of file point_type_rgb.h.

Referenced by operator*=(), operator+=(), operator-(), operator-=(), operator/=(), and operator==().

## RGB() [2/3]

__host__ __device__ pcl::cuda::RGB::RGB | ( | int | _rgb | ) |

inline

Definition at line 63 of file point_type_rgb.h.

References rgb.

## RGB() [3/3]

__host__ __device__ pcl::cuda::RGB::RGB | ( | char | _r,
|  | char | _g,
|  | char | _b,
|  | char | _alpha )

inline

Definition at line 64 of file point_type_rgb.h.

References alpha, b, g, and r.

## Member Function Documentation

## operator*=()

__host__ __device__ RGB & pcl::cuda::RGB::operator*= | ( | const RGB & | rhs | ) |

inline

Definition at line 97 of file point_type_rgb.h.

References alpha, b, g, r, and RGB().

## operator+=()

__host__ __device__ RGB & pcl::cuda::RGB::operator+= | ( | const RGB & | rhs | ) |

inline

Definition at line 79 of file point_type_rgb.h.

References alpha, b, g, r, and RGB().

## operator-()

__host__ __device__ RGB pcl::cuda::RGB::operator- | ( | RGB & | rhs | ) |

inline

Definition at line 72 of file point_type_rgb.h.

References RGB().

## operator-=()

__host__ __device__ RGB & pcl::cuda::RGB::operator-= | ( | const RGB & | rhs | ) |

inline

Definition at line 88 of file point_type_rgb.h.

References alpha, b, g, r, and RGB().

## operator/=()

__host__ __device__ RGB & pcl::cuda::RGB::operator/= | ( | const RGB & | rhs | ) |

inline

Definition at line 106 of file point_type_rgb.h.

References alpha, b, g, r, and RGB().

## operator==()

__host__ __device__ bool pcl::cuda::RGB::operator== | ( | const RGB & | rhs | ) | const

inline

Definition at line 67 of file point_type_rgb.h.

References alpha, b, g, r, and RGB().

## Member Data Documentation

## [struct]

struct { ... } pcl::cuda::RGB

## alpha

char pcl::cuda::RGB::alpha

Definition at line 59 of file point_type_rgb.h.

Referenced by operator*=(), operator+=(), operator-=(), operator/=(), operator==(), and RGB().

## b

char pcl::cuda::RGB::b

Definition at line 58 of file point_type_rgb.h.

Referenced by pcl::cuda::ChangeColor::operator()(), pcl::cuda::SetColor::operator()(), operator*=(), operator+=(), operator-=(), operator/=(), operator==(), and RGB().

## g

char pcl::cuda::RGB::g

Definition at line 57 of file point_type_rgb.h.

Referenced by pcl::cuda::ChangeColor::operator()(), pcl::cuda::SetColor::operator()(), operator*=(), operator+=(), operator-=(), operator/=(), operator==(), and RGB().

## r

char pcl::cuda::RGB::r

Definition at line 56 of file point_type_rgb.h.

Referenced by pcl::cuda::ChangeColor::operator()(), pcl::cuda::SetColor::operator()(), operator*=(), operator+=(), operator-=(), operator/=(), operator==(), and RGB().

## rgb

int pcl::cuda::RGB::rgb

Definition at line 53 of file point_type_rgb.h.

Referenced by RGB().

The documentation for this union was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/common/point_type_rgb.h